List all container registries
List all managed container registries for your account
get
Authorizations
AuthorizationstringRequired
You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Query parameters
filter.namestringOptionalExample:
The registry name to search for
my-registrylimitstringOptionalDefault:
The maximum number of elements to return (used together with pagination.token for pagination)
100pagination.tokenstringOptionalExample:
An opaque token used to iterate the set of results (used together with limit for pagination)
eyJ2IjoibWV0YS5rOHMuaW8vdjEiLCJydiI6MTYzMjQ0OTk2ODAsInN0YXJ0IjoiM2RmYTc3YjctZGIwNS00MjMwLThmMjAtOGU3NjJlOTUxOTUzXHUwMDAwIn0Responses
200
OK
application/json
hrefstringOptional
idstringOptional
typestringOptional
400
Bad Request
application/json
get/registries
GET /containerregistries/registries HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"_links": {
"next": "text",
"previous": "text",
"self": "text"
},
"href": "text",
"id": "text",
"items": [
{
"href": "text",
"id": "123e4567-e89b-12d3-a456-426614174000",
"metadata": {
"createdBy": "text",
"createdByUserId": "text",
"createdDate": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedByUserId": "text",
"lastModifiedDate": "2026-01-01T00:00:00.000Z",
"state": "text"
},
"properties": {
"garbageCollectionSchedule": {
"days": [
"Monday"
],
"time": "01:23:00+00:00"
},
"hostname": "my-registry.cr.ionos.com",
"location": "de/txl",
"name": "my-registry",
"storageUsage": {
"bytes": 1,
"updatedAt": "2026-01-01T00:00:00.000Z"
},
"features": {
"vulnerabilityScanning": {
"enabled": true,
"properties": {}
}
},
"apiSubnetAllowList": [
"123.123.123.0/24"
]
},
"type": "text"
}
],
"pagination": {
"limit": 1,
"token": "eyJ2IjoibWV0YS5rOHMuaW8vdjEiLCJydiI6MTYzMjQ0OTk2ODAsInN0YXJ0IjoiM2RmYTc3YjctZGIwNS00MjMwLThmMjAtOGU3NjJlOTUxOTUzXHUwMDAwIn0"
},
"type": "text"
}Last updated
Was this helpful?